summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/chains/0014rename_1
diff options
context:
space:
mode:
Diffstat (limited to 'tests/shell/testcases/chains/0014rename_1')
-rwxr-xr-xtests/shell/testcases/chains/0014rename_114
1 files changed, 14 insertions, 0 deletions
diff --git a/tests/shell/testcases/chains/0014rename_1 b/tests/shell/testcases/chains/0014rename_1
new file mode 100755
index 00000000..e29e7889
--- /dev/null
+++ b/tests/shell/testcases/chains/0014rename_1
@@ -0,0 +1,14 @@
+#!/bin/bash
+
+set -e
+
+$NFT add table t
+$NFT add chain t c1
+$NFT add chain t c2
+# kernel should return EEXIST
+$NFT rename chain t c1 c2
+
+if [ $? -eq 0 ] ; then
+ echo "E: Renamed with existing chain" >&2
+ exit 0
+fi